using Mall.Common.Enum.Property;
using System;
using VT.FW.DB;

namespace Mall.Model.Entity.Property
{

    /// <summary>
    /// 资产审批关联实体
    /// </summary> 
    [Serializable]
    [DB(ConnectionName = "PropertyConnection")]
    public class RB_Property_AuditRelevance
    {

        /// <summary>
        /// Id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 类型
        /// </summary>        
        public PropertyFlowEnum? Type
        {
            get;
            set;
        }
        /// <summary>
        /// 是否启用  1是 2否
        /// </summary>        
        public int? Enabled
        {
            get;
            set;
        }
        /// <summary>
        /// 状态 0正常  1删除
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
        /// <summary>
        /// 公司
        /// </summary>        
        public int? RB_Branch_Id
        {
            get;
            set;
        }
        /// <summary>
        /// 集团
        /// </summary>        
        public int? RB_Group_Id
        {
            get;
            set;
        }
        /// <summary>
        /// CreateBy
        /// </summary>        
        public int? CreateBy
        {
            get;
            set;
        }
        /// <summary>
        /// CreateDate
        /// </summary>        
        public DateTime? CreateDate
        {
            get;
            set;
        }
    }
}